@import "../../../assets/styles/main.scss";

.BestDelascardMain {
  position: relative;
  background-size: cover;
  background-position: center;
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  width: 100%;
  height: 100%;
  background-color:  getColorHex("white");
  border: 1px solid  getColorHex("border");
  border-radius: 20px;
  padding: 15px;
  @include xl {
    height: 100%;
  }
  @include lg {
    height: 100%;
  }

  .bestDealscardContainer {
    width: 100%;
    height: 100%;
    border-radius: 15px;
    background-repeat: round;
    position: relative;
    overflow: hidden;

    .cardCountryImage {
      width: 100%;
      height: 180px;
      border-radius: 25px;
      @include lg {
        height: 170px;
      }

      img {
        border-radius: 25px;
        height: 100% !important;
        width: 100% !important;
        object-fit: initial !important;
      }
    }

    .cardCountryFlag {
      position: absolute;
      width: 29px;
      min-width: 29px;
      height: 29px;
      border: 2px solid getColorHex("white");
      border-radius: 50%;
      top: 12px;
      left: 14px;

      img {
        width: 100%;
        height: 100%;
        border-radius: 50%;
        object-fit: cover;
      }
    }

    .cardBlackBackgroundImage {
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 100px;
      @include xl {
        height: 100px;
      }
      @include lg {
        height: 100px;
      }

      img {
        border-radius: 25px;
        width: 100%;
        height: 100%;
      }
    }

    .cardCountryName {
      position: absolute;
      bottom: 0px;
      left: 17px;
      height: 55px;
      display: flex;
      align-items: center;


      p {
        font-size: 14px;
        text-align: left;
         color:  getColorHex("white");
        display: flex;
        align-items: center;
        
      }
    }

    .cardEsimSection {
      position: absolute;
      bottom: 16px;
      right: 14px;
      height: 60px;
      width: 60px;

      img {
        height: 100%;
        width: 100%;
      }
    }
  }
}
